package solutions.bitbadger.documents

/**
 * A parameter to use for a query
 *
 * @property name The name of the parameter (prefixed with a colon)
 * @property type The type of this parameter
 * @property value The value of the parameter
 */
class Parameter<T>(val name: String, val type: ParameterType, val value: T) {
    init {
        if (!name.startsWith(':') && !name.startsWith('@'))
            throw DocumentException("Name must start with : or @ ($name)")
    }
}
